<% data.depts.each do |deptKey, section| %>
### <%= section.name %> section
<% sectionLine=[] %>
<% sectionLine << "Product Director: [#{section.pm}]" if section.pm %>
<% sectionLine << "Engineering Director: [#{section.em}]" if section.em %>
<% sectionLine << "Support Manager: [#{section.sm}]" if section.sm %>
<% sectionLine << "Product Marketing Manager: [#{section.pmm}]" if section.pmm %>
<% sectionLine << "Quality: [#{section.qm}]" if section.qm %>
<% sectionLine << "Content Marketing: [#{section.cm}]" if section.cm %>
<% sectionLine << "Technical Writing: [#{section.tw}]" if section.tw %>
<% sectionLine << "Infrastructure Manager: [#{section.rem}]" if section.rem %>
<%= "#{sectionLine.join(' \\| ')}" if sectionLine %>
  <% data.stages.stages.select{|stageKey,stage| stage.dept==deptKey}.each do |stageKey, stage| %>
    <% stageLine=[] %>
    <% stageLine << "Slack Channel: [#{stage.slack.channel}](https://gitlab.slack.com/app_redirect?channel=#{stage.slack.channel})" if stage&.slack&.channel %> 
    <% stageLine << "Slack Alias: @#{stage.slack.alias}" if stage&.slack&.alias %> 
    <% stageLine << "GitLab Group: @#{stage.gitlab_group}" if stage&.gitlab_group %> 
    <% stageLine << "[Handbook](/handbook/#{stage.handbook})" if stage&.handbook %> 
    <% stageLine << "Product Manager: [#{stage.pm}]" if stage.pm %>
    <% stageLine << "Product Marketing Manager: [#{stage.pmm}]" if stage.pmm %>
    <% stageLine << "Backend Engineering Manager: [#{stage.backend_engineering_manager}]" if stage.backend_engineering_manager %>
    <% stageLine << "Frontend Engineering Manager: [#{stage.frontend_engineering_manager}]" if stage.frontend_engineering_manager %>
    <% stageLine << "Test Automation Engineer".pluralize(stage.test_automation_engineers.count) + ": " + stage.test_automation_engineers.map{ |test_er| "[#{test_er}]" }.join(", ") if stage.test_automation_engineers %>
    <% stageLine << "UX Manager: [#{stage.uxm}]" if stage.uxm %>
    <% stageLine << "Product Designer".pluralize(stage.ux.count) + ": " + stage.ux.map{ |ux_er| "[#{ux_er}]" }.join(", ") if stage.ux %>
    <% stageLine << "Content Marketing: [#{stage.cm}]" if stage.cm %>
    <% stageLine << "Technical Writer: [#{stage.tech_writer}]" if stage.tech_writer %>
    <% stageLine << "Internal Customer".pluralize(stage.internal_customers.count) + ": " + stage.internal_customers.map{ |customer| "[#{customer}]" }.join(", ") if stage.internal_customers %>
<%= "#### #{stage.display_name} stage" %>
<%= "#{stageLine.join(' \\| ')}" if stageLine %>
    <% if stage.groups %>
      <% stage.groups.each do |groupKey, group| %>
        <% groupLine=[] %>
        <% groupLine << "Slack Channel: [#{group.slack.channel}](https://gitlab.slack.com/app_redirect?channel=#{group.slack.channel})" if group&.slack&.channel %> 
        <% groupLine << "Slack Alias: @#{group.slack.alias}" if group&.slack&.alias %> 
        <% groupLine << "GitLab Group: @#{group.gitlab_group}" if group&.gitlab_group %> 
        <% groupLine << "[Handbook](/handbook/#{group.handbook})" if group&.handbook %> 
        <% groupLine << "Product Manager: [#{group.pm}]" if group.pm %>
        <% groupLine << "Product Marketing Manager: [#{group.pmm}]" if group.pmm %>
        <% groupLine << "Engineering Manager: [#{group.em}]" if group.em %>
        <% groupLine << "Support: [#{group.support}]" if group.support %>
        <% groupLine << "Backend Engineering Manager: [#{group.backend_engineering_manager}]" if group.backend_engineering_manager %>
        <% groupLine << "Frontend Engineering Manager: [#{group.frontend_engineering_manager}]" if group.frontend_engineering_manager %>
        <% groupLine << "Test Automation Engineer".pluralize(group.test_automation_engineers.count) + ": " + group.test_automation_engineers.map{ |test_er| "[#{test_er}]" }.join(", ") if group.test_automation_engineers %>
        <% groupLine << "UX Manager: [#{group.uxm}]" if group.uxm %>
        <% groupLine << "Product Designer".pluralize(group.ux.count) + ": " + group.ux.map{ |ux_er| "[#{ux_er}]" }.join(", ") if group.ux %>
        <% groupLine << "Content Marketing: [#{group.cm}]" if group.cm %>
        <% groupLine << "Technical Writer: [#{group.tech_writer}]" if group.tech_writer %>
        <% groupLine << "Application Security Engineer: [#{group.appsec_engineer}]" if group.appsec_engineer %>
        <% groupLine << "Internal Customer".pluralize(group.internal_customers.count) + ": " + group.internal_customers.map{ |customer| "[#{customer}]" }.join(", ") if group.internal_customers %>
        <% groupLine << "Infrastructure Manager: [#{section.rem}]" if section.rem %>
<%= "##### #{group.name} group" %>
<%= "#{groupLine.join(' \\| ')}" if groupLine %>
        <% if group.categories %>
          <% group.categories.each do |categoryKey| %>
            <% category = data.categories[categoryKey] %>
            <% puts categoryKey if !category%>
            <% name = if category.marketing && category.available then category.name else "*#{category.name}*" end %>
            <% kbdElement = "" %>
            <% if category.maturity && (category.maturity != "planned") %>
              <% kbdElement = " <kbd>#{category.maturity.capitalize}</kbd>" %>
            <% end %>
            <% if category.available && (category.available.year == Date.today.year) %>
              <% kbdElement = (category.available <= Date.today) ? " <kbd>New in #{Date.today.year}</kbd> " : " <kbd>Planned #{Date.today.year}</kbd> " %>
            <% end %>
            <% if category.available && (category.available.year > Date.today.year) %>
              <% kbdElement = " <kbd>Planned #{category.available.year}</kbd> " %>
            <% end %>
            <% categoryLinks = [] %>
            <% categoryLinks << "[Marketing Page](#{category.marketing_page})" if category.marketing_page %>
            <% categoryLinks << "[Documentation](#{category.documentation})" if category.documentation %>
            <% categoryLinks << "[Strategy](#{category.strategy})" if category.strategy %>
            <% links = categoryLinks.empty? ? '' : (' \\| ' + categoryLinks.join(' • ')) %>
<%= "  * #{name}#{kbdElement ? kbdElement :''}#{links}" %>
          <% end %>

        <% end %>
      <% end %>

    <% end %>
  <% end %>

<% end %>

[Scott Williamson]: /company/team/#Boulder_ScottW
[Scott Williamson (Interim)]: /company/team/#Boulder_ScottW
[Mark Pundsack]: /company/team/#MarkPundsack
[Kenny Johnston]: /company/team/#kencjohnston
[Kenny Johnston (Interim)]: /company/team/#kencjohnston
[Kenny Johnston (Life Support)]: /handbook/product/#life-support-pm-expectations
[Eric Brinkman]: /company/team/#ericbrinkman
[Eric Brinkman (Interim)]: /company/team/#ericbrinkman
[Eric Brinkman (Life Support)]: /company/team/#ericbrinkman
[Jeremy Watson]: /company/team/#gitJeremy
[Jeremy Watson (Interim)]: /company/team/#gitJeremy
[Matt Gonzales]: /company/team/#mattgonzales
[Joshua Lambert]: /company/team/#joshlambert
[Joshua Lambert (Interim)]: : /company/team/#joshlambert
[James Ramsay]: /company/team/#jamesramsay
[James Ramsay (Interim)]: /company/team/#jamesramsay
[Daniel Gruesso]: /company/team/#danielgruesso
[Viktor Nagy]: /company/team/#vnagy
[Jason Lenny]: /company/team/#j4lenn
[Jason Lenny (Interim)]: /company/team/#j4lenn
[Thao Yeager]: /company/team/#thaoyeager
[Darren Eastman]: /company/team/#DarrenEastman
[Brendan O'Leary]: /company/team/#olearycrew
[Brendan O'Leary (Interim)]: /company/team/#olearycrew
[Luca Williams]: /company/team/#tipyn2903
[Luca Williams (Interim)]: /company/team/#tipyn2903
[Tim Rizzi]: /company/team/#timrizzi
[James Heimbuck]: /company/team/#jamesheimbuck
[Sarah Waldner]: /company/team/#sarahwaldner25
[Dov Hershkovitch]: /company/team/#dhershkovitch
[Christen Dybenko]: /company/team/#cdybenko
[Kai Armstrong]: /company/team/#phikai
[Kai Armstrong (Interim)]: /company/team/#phikai
[Fabian Zimmer]: /company/team/#fzimmer
[Virjinia Alexieva]: /company/team/#valexieva
[Nicole Schwartz]: /company/team/#nicoleschwartz
[Patrick Deuley]: /company/team/#deuley
[Anthony Sandoval]: /company/team/#ansdval
[Dave Smith]: /company/team/#dawsmith
[Jose Finotto]: /company/team/#jose-finotto
[Orit Golowinski]: /company/team/#OritG
[Orit Golowinski (Interim)]: /company/team/#OritG
[Jackie Meshell]: /company/team/#jmeshell
[Jensen Stava]: /company/team/#jstava
[Gabe Weaver]: /company/team/#gabeweaver
[Mark Wood]: /company/team/#mjwood
[Sam Kerr]: /company/team/#stkerr
[Sam Kerr (Interim)]: /company/team/#stkerr
[Sam Kerr (Life Support)]: /company/team/#stkerr
[Tim Hey]: /company/team/#tim-hey
[Sam Awezec]: /company/team/#sam-awezec
[Michael Karampalas]: /company/team/#mkarampalas
[Larissa Lane]: /company/team/#ljlane
[Keanon O'Keefe]:/company/team/#keanonokeefe
[David DeSanto]: /company/team/#ddesanto
[Matt Wilson]: /company/team/#matt_wilson
[Matt Wilson (Interim)]: /company/team/#matt_wilson
[Derek Ferguson]: /company/team/#derekferguson

[Bartek Marnane]: /company/team/#bartekmarnane
[Bartek Marnane (Interim)]: /company/team/#bartekmarnane
[Chun Du]: /company/team/#cdu1
[Chun Du (Interim)]: /company/team/#cdu1
[Craig Gomes]: /company/team/#craiggomes
[Craig Gomes (Interim)]: /company/team/#craiggomes
[Tim Zallmann]: /company/team/#tpmtim
[ZJ (Interim)]: /company/team/#new-vacancy-zj-interim
[Dennis Tang]: /company/team/#dennis
[Chris Baus]: /company/team/#chris_baus
[Elliot Rushton]: /company/team/#ehxor
[Elliot Rushton (Interim)]: /company/team/#ehxor
[Seth Engelhard]: /company/team/#sethengelhard
[Seth Engelhard (Interim)]: /company/team/#sethengelhard
[Matt Nohr]: /company/team/#matthewnohr
[Adriel Santiago (Interim)]: /company/team/#adrielsantiago
[Philippe Lafoucrière]: /company/team/#plafoucriere
[Sean McGivern]: /company/team/#mcgivernsa
[John Hope]: /company/team/#midhir
[Marin Jankovski]: /company/team/#maxlazio
[Marin Jankovski (Interim)]: /company/team/#maxlazio
[DJ Mountney (Interim)]: /company/team/#twk3
[Michelle Gill]: /company/team/#m_gill
[Darva Satcher]: /company/team/#dsatcher
[Rachel Nienaber]: /company/team/#rnienaber
[James Lopez (Interim)]: /company/team/#jameslopez
[Olivier Gonzalez (Interim)]: /company/team/#gonzoyumo
[Thomas Woodham]: /company/team/#twoodham
[Seth Berger]: /company/team/#sethgitlab
[Steven Wilson]: /company/team/#mendeni
[Todd Stadelhofer]: /company/team/#tstadelhofer
[Nicholas Klick]: /company/team/#nicholasklick
[Nick Nguyen]: /company/team/#nhxnguyen
[Nick Nguyen (Interim)]: /company/team/#nhxnguyen
[Dan Jensen]: /company/team/#djensen
[Phil Calder]: /company/team/#pcalder
[Jerome Ng]: /company/team/#jeromezng
[Changzheng Liu]: /company/team/#changzhengliu
[Changzheng Liu (Interim)]: /company/team/#changzhengliu

[Tim Z (Interim)]: /company/team/#tpmtim
[Clement Ho]: /company/team/#ClemMakesApps
[André Luís (Interim)]: /company/team/#andr3
[Lukas Eipert (Interim)]: /company/team/#leipert_io
[Donald Cook]: /company/team/#_donaldcook
[Jean du Plessis]: /company/team/#jeanduplessis

[Ashish Kuthiala]: /company/team/#kuthiala
[Ashish Kuthiala (Interim)]: /company/team/#kuthiala
[John Jeremiah]: /company/team/#j_jeremiah
[Cindy Blake]: /company/team/#cblake2000
[Liam McAndrew]: /company/team/#lmcandrew
[André Luís]: /company/team/#andr3
[William Chia]: /company/team/#thewilliamchia
[Saumya Upadhyaya]: /company/team/#supadhyaya

[Shaun McCann]: /company/team/#shaunmccann
[Lyle Kozloff]: /company/team/#lkozloff
[Lee Matos]: /company/team/#leematos
[Tom Atkins]: /company/team/#tatkins
[Jason Colyer]: /company/team/#jcolyer2007

[Namho Kim]: /company/team/#_namho
[Sara Ahbabou]: /company/team/#theberbie
[Cody West]: /company/team/#codyww
[Blair Lunceford]: /company/team/#blairlunce
[Diana Stanley]: /company/team/#dstanley
[Aric Buerer]: /company/team/#AricBuerer
[Lewis Brown]: /company/team/#lwbrown
[Will Chandler]: /company/team/#wchandler
[Greg Myers]: /company/team/#greg
[Thiago Presa]: /company/team/#tpresa
[Amanda Rueda]: /company/team/#amandarueda
[James McGrew]: /company/team/#jemcgrew
[Ben Prescott]: /company/team/#bprescott_
[TBD]: /company/team/

[Aricka Flowers]: /company/team/#arickaflowers
[Suri Patel]: /company/team/#suripatel
[Erica Lindberg]: /company/team/#EricaLindberg_

[Marcia Ramos]: /company/team/#marcia
[Mike Lewis]: /company/team/#mikelewis
[Evan Read]: /company/team/#eread
[Axil]: /company/team/#axil
[Russell Dickenson]: /company/team/#rdickenson
[Marcel Amirault]: /company/team/#marcel.amirault

[Darby Frey]: /company/team/#darbyfrey
[Darby Frey (Interim)]: /company/team/#darbyfrey
[John Hampton]: /company/team/#johnrhampton
[John Hampton (Interim)]: /company/team/#johnrhampton
[Daniel Croft]: /company/team/#dcroft
[Daniel Cipoletti]: /company/team/#dcipoletti
[Nathan Friend (Interim)]: /company/team/#nfriend

[Annabel Dunstone Gray]: /company/team/#annabeldunstone
[Chris Peressini]: /company/team/#ChrisPeressini
[Taurie Davis]: /company/team/#tauried
[Dimitrie Hoekstra]: /company/team/#dimitrieh
[Pedro Moreira da Silva]: /company/team/#pedromscom
[Matej Latin]: /company/team/#matejlatin
[Andy Volpe]: /company/team/#heyandyvolpe
[Amelia Bauerly]: /company/team/#ameliabauerly
[Rayana Verissimo]: /company/team/#imrayana
[Tim Noah]: /company/team/#timnoah
[Marcel van Remmerden]: /company/team/#mvanremmerden
[Marcel van Remmerden (Interim)]: /company/team/#mvanremmerden
[Kyle Mann]: /company/team/#kmann
[Alexis Ginsberg]: /company/team/#uhlexsis
[Mike Nichols]: /company/team/#mnichols1
[Jarek Ostrowski]: /company/team/#jareko
[Emily Sybrant]: /company/team/#esybrant
[Iain Camacho]: /company/team/#iaincamacho
[Rebecca "Becka" Lippert]: /company/team/#beckalippert
[Valerie Karnes]: /company/team/#vkarnes
[Shane Bouchard]: /company/team/#ShaneBouchard
[Jacki Bauer]: /company/team/#jackib
[Aaron K. White]: /company/team/#aaronkwhite
[Kevin Comoli]: /company/team/#kcomoli
[Camellia X. YANG]: /company/team/#cam.x
[Juan J. Ramirez]: /company/team/#jj-ramirez
[Maria Vrachni]: /company/team/#mvrachni
[Daniel Mora]: /company/team/#dmoraBerlin
[Nadia Sotnikova]: /company/team/#nadia_sotnikova
[Nadia Udalova]: /company/team/#nudalova

[Aleksandr Soborov]: /company/team/#asoborov
[Dan Davison]: /company/team/#sircapsalot
[Désirée Chevalier]: /company/team/#dchevalier2
[Grant Young]: /company/team/#grantyoung
[Jennie Louie]: /company/team/#jennielouie
[Mark Lapierre]: /company/team/#mdlap
[Mek Stittri]: /company/team/#mekdev
[Nailia Iskhakova]: /company/team/#niskhakova
[Ramya Authappan]: /company/team/#atramya
[Sanad Liaquat]: /company/team/#sanadliaquat
[Tanya Pazitny]: /company/team/#tpazitny
[Tomislav Nikić]: /company/team/#asktomislav
[Walmyr Lima e Silva Filho]: /company/team/#walmyrlimaesilv
[Zeff Morgan]: /company/team/#zeffer

[Jeremy Matos]: /company/team/#jeremymatos
[Costel Maxim]: /company/team/#cmaxim
[Juan Broullon]: /company/team/#jbroullon

[Development Department]: /handbook/engineering/development
[Quality Department]: /handbook/engineering/quality/
[Distribution Team]: /handbook/engineering/development/enablement/distribution/
[Reliability Engineering]: /handbook/engineering/infrastructure/team/reliability/
[Infrastructure Department]: /handbook/engineering/infrastructure/
[Security Department]: /handbook/engineering/security/
[UX Department]: /handbook/engineering/ux/
[Gitter]: /handbook/engineering/development/dev/gitter/
[Tech Writers]: /handbook/product/technical-writing/
[Delivery Team]: /handbook/engineering/infrastructure/team/delivery/
[Product Department]: /handbook/product
[Sales Department]: /handbook/sales
[Marketing Department]: /handbook/marketing
[Alliances Department]: /handbook/alliances
[Finance Department]: /handbook/finance
[Customer Success]: /handbook/customer-success
[Engineering Department]: /handbook/engineering
[People Operations]: /handbook/people-operations
[Support Department]: /handbook/support
[AutoDevOps and Kubernetes Group]: /handbook/product/categories/#auto-devops--kubernetes-group
[Data Team]: https://about.gitlab.com/handbook/business-ops/data-team/

[Pages]: /product/pages/
[Geo]: /features/gitlab-geo/
[Continuous Integration (CI)]: /features/gitlab-ci-cd/
[Continuous Delivery (CD)]: /features/gitlab-ci-cd/
[Subgroups]: /features/subgroups/
[Service Desk]: /product/service-desk/
